Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

Create a folder

POST
/api/v1/projects/{projectId}/folders
curl --request POST \
--url https://api.yggy.tech/api/v1/projects/example/folders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "parentFolderId": "example" }'
projectId
required
string
Media type application/json
object
name
required
string
>= 1 characters <= 200 characters
parentFolderId
string | null
Example generated
{
"name": "example",
"parentFolderId": "example"
}

Created

Media type application/json
object
folderId
required
string
name
required
string
parentFolderId
required
string | null
projectExternalId
required
string
createdAt
required
string
updatedAt
required
string
deletedAt
string | null
childCount
number
documentCount
number
Example generated
{
"folderId": "example",
"name": "example",
"parentFolderId": "example",
"projectExternalId": "example",
"createdAt": "example",
"updatedAt": "example",
"deletedAt": "example",
"childCount": 1,
"documentCount": 1
}